Bug 96557 - Opening a CSV on a different Gnome virtual desktop causes open calc window to move to the virtual desktop
Summary: Opening a CSV on a different Gnome virtual desktop causes open calc window to...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Import
  Show dependency treegraph
 
Reported: 2015-12-17 13:30 UTC by damonhttp412
Modified: 2018-05-02 15:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description damonhttp412 2015-12-17 13:30:12 UTC
I'm on Fedora 23, Gnome 3.18.2

Basically if I have spreadsheet open on Desktop 4 and I open a csv (using 'xdg-open' or Double Clicking) on Desktop 2 then both spreadsheets end up on Desktop 2. 

My guess is the CSV options window where you select what delimiter to use and has a preview of the file, is a subwindow of the last selected Calc window. Therefore to open the csv on a different desktop the whole window is moved to the current desktop and the options are displayed. If you open an ods document on a different desktop this does not happen. 

To recreate:
1. Switch to Virtual Desktop 1
2. Open a ods/csv/xls/etc
3. Switch to Virtual Desktop 2
4. Open Files
5. Browse to where csv is stored
6. Double click on csv
7. The spreadsheet that was on Virtual Desktop 1 is now on Virtual Desktop 2

Just an annoyance. Thanks
Comment 1 Andreas B. 2015-12-19 12:59:11 UTC
Not reproducable with LibreOffice 5.0.3.2 on Ubuntu 14.04 LTS, Unity.

Maybe not a LO Bug?
Comment 2 Buovjaga 2015-12-22 20:13:32 UTC
Maybe the same root cause as bug 95630? Do you think this could be closed as duplicate or..?
Comment 3 damonhttp412 2015-12-28 15:06:24 UTC
It definitely sounds related to bug 95630, just the opposite behavior (instead of you having to go to the other workspace the window is brought to the current one). I don't know anything about Gnome and UI development so I will leave it up to you guys to close/mark as duplicate. Thanks.
Comment 4 Jean-Baptiste Faure 2017-09-09 09:47:03 UTC
Not reproducible for me with Ubuntu 16.04 64 bits (Unity) and LO 5.4.1 from PPA.

Best regards. JBF
Comment 5 Buovjaga 2017-09-09 09:55:49 UTC
Jay posted some interesting results in bug 95630. It seems the latest GNOME/GTK3 works fine and other DEs are a mixed bag.

damonhttp: are you on Fedora 25 now? Does the problem still occur?

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 6 QA Administrators 2018-04-04 13:08:25 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2018-05-02 15:51:16 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180502